## feathernotes 0.4.5

=== debian/changelog ===
feathernotes (0.4.5-1) unstable; urgency=medium

  * Initial release. (Closes: #904224)

 -- Alf Gaida <agaida@siduction.org>  Sat, 15 Sep 2018 17:55:09 +0200
