## feathernotes 0.4.6

=== debian/changelog ===
feathernotes (0.4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:00:52 +0800

feathernotes (0.4.6-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.4.6.
  * Bumped standards to 4.3.0, no changes needed
  * Removed debhelper and compat, use debhelper (= 12) instead, no further
    changes needed 
  * Bumped copyright years

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Feb 2019 03:09:35 +0100
