=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Alf Gaida <agaida@siduction.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                qtbase5-dev,
                qt5-qmake,
                libx11-dev,
@@ -12,7 +12,7 @@
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
 Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
 Homepage: https://github.com/tsujan/feathernotes
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: qttranslations5-l10n,
+Recommends: feathernotes-l10n,
             libglib2.0-bin
 Description: Hierarchical notes-manager (binaries)
  FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
