## feathernotes 0.5.1

=== debian/changelog ===
feathernotes (0.5.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:56 +0100

feathernotes (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Jan 2020 15:19:25 +0100

feathernotes (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0.
  * Bumped Standards-Version to 4.4.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Mon, 06 Jan 2020 17:50:53 +0100

feathernotes (0.4.6-2) unstable; urgency=medium

  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Adding upstream version 0.4.5.
  * Adding upstream version 0.4.6.

 -- Alf Gaida <agaida@siduction.org>  Mon, 26 Aug 2019 01:42:28 +0200
