=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
 Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
 Homepage: https://github.com/tsujan/feathernotes
