## feathernotes 0.7.0

=== debian/changelog ===
feathernotes (0.7.0-0.1~mx19+1) mx; urgency=medium

  * New upstream version:
    - Focus the visible unfocused search bar on activating its action.
    - Handle relative file paths correctly.
    - Overrode Qt's default behavior with the Home key.
    - Added optional spell checking with Hunspell, that can be enabled at
      compilation time.
    - Update the transparent side-pane's palette if the style changes in runtime.
    - Made some strings translatable.
    - Fixed a potential issue in translations.
    - Fixed a rare case of halted auto-saving.
    - Added a workaround for an old Qt bug, because of which, QTimer may not
      work after resuming from suspend or hibernation.
    - Give focus to text-edit/side-pane with Escape.
    - Don't let custom shortcuts be read from global config files.
    - Yet smarter Shift+Enter with alphabetical lists.

  * Drop unnecessary qtmake-qt5 build-depend.
  * Added build dependency libhunspell-dev.
  * Add myspell-en-us | hunspell-dictionary | myspell-dictionary as dependency.
  * Extend the long description to include features.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jul 2020 14:27:49 -0700
