=== debian/control ===
Source: feathernotes
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libhunspell-dev (>= 1.6),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxext-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
Homepage: https://github.com/tsujan/feathernotes

Package: feathernotes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
         feathernotes-l10n, libglib2.0-bin,
         myspell-en-us | hunspell-dictionary | myspell-dictionary
Description: hierarchical notes-manager (binaries)
 FeatherNotes is a lightweight Qt5 hierarchical notes manager for Linux. It is
 independent of any desktop environment.
 .
 Features:
 - Support for rich text formatting, image embedding and inserting
   editable tables;
 - Drag-and-drop capability for moving nodes and also for embedding images;
 - Optional tray icon for quick access on any desktop;
 - Correct position/size saving and restoring with most window managers;
 - Compact but complete search and replacement widgets;
 - The ability to include searchable tags (hidden info on each node);
 - Support for optional node icons;
 - Support for local and remote hyperlinks (bookmarks);
 - Text zooming;
 - Printing and exporting to HTML and PDF;
 - Password protection;
 - Auto-saving
 .
 This package contain the application files.

Package: feathernotes-l10n
Architecture: all
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}, ${shlibs:Depends}
Description: hierarchical notes-manager (localization)
 FeatherNotes is a lightweight Qt5 hierarchical notes manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the localization files.
