## feathernotes 0.8.0

=== debian/changelog ===
feathernotes (0.8.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * debian/control - add libhunspell for spell checking.

 -- SwampRabbit <swamrabbit@mxlinux.org>  Sun, 24 Jan 2021 13:28:40 -0500

feathernotes (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 21:34:32 +0800
