=== debian/control ===
Source: feathernotes
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               qtbase5-dev,
               qt5-qmake,
               libx11-dev,
               libxext-dev,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               libhunspell-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
Homepage: https://github.com/tsujan/feathernotes


Package: feathernotes
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhunspell-1.7-0
Recommends: feathernotes-l10n,
            libglib2.0-bin
Description: Hierarchical notes-manager (binaries)
 FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the application files.

Package: feathernotes-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qttranslations5-l10n
Description: Hierarchical notes-manager (localization)
 FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the localization files.
