=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 %:
 	dh ${@} --buildsystem=qmake
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
