## feathernotes 0.10.0

=== debian/changelog ===
feathernotes (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * debian/feathernotes.install: ship feathernotes.metainfo.xml file.
  * Update debian/copyright file.
  * debian/rules: avoid explicitly specifying -Wl,--as-needed linker flag.
  * debian/rules: drop --fail-missing argument which is now the default.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 16 Jul 2022 05:03:22 +0800
