## feathernotes 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
   endif()
 endif()
 
+option(ENABLE_QT5 "Building Qt5 plugin." ON)
 option(WITH_HUNSPELL "Compiling with Hunspell..." ON)
 option(WITHOUT_X11 "Compiling without X11..." OFF)
 # OS/2 never has X11
