=== debian/changelog ===
feathernotes (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.
    * Add Rules-Requires-Root: no.
  * Bump compat to 13.
  * Update d/watch to verify tarball signature.
  * Add ChangZhuo Chen (陳昌倬) as uploader.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 24 Dec 2022 12:18:29 +0800
