=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: feathernotes
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               qtbase5-dev,
-               qt5-qmake,
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libhunspell-dev,
+               libqt5svg5-dev,
+               libqt5x11extras5-dev,
                libx11-dev,
                libxext-dev,
-               libqt5x11extras5-dev,
-               libqt5svg5-dev,
+               pkg-config,
+               qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
-               libhunspell-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
 Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
 Homepage: https://github.com/tsujan/feathernotes
-
+Rules-Requires-Root: no
 
 Package: feathernotes
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libhunspell-1.7-0
+         ${misc:Depends}
 Recommends: feathernotes-l10n,
             libglib2.0-bin
 Description: Hierarchical notes-manager (binaries)
