## feathernotes 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 3.5.0)
 project(feathernotes)
-cmake_minimum_required(VERSION 3.0)
 set(CMAKE_BUILD_TYPE Release)
 add_definitions(-Wall)
