=== debian/changelog ===
feathernotes (1.1.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:40 +1100

feathernotes (1.1.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:21:47 +0000

feathernotes (1.1.1-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * debian/lintian-overrides: update.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Sep 2023 23:59:17 +0800

feathernotes (1.1.0-2) unstable; urgency=medium

  * debian/control: update team address.
  * debian/copyright: update
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/salsa-ci.yml: added.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 14:17:40 +0200
