## feathernotes 1.3.0

=== debian/changelog ===
feathernotes (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add DONG XU as an uploader.

 -- DONG XU <me@eipi.fun>  Sat, 03 Aug 2024 11:06:37 +0900
