=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: feathernotes
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           DONG XU <me@eipi.fun>
 Section: editors
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libhunspell-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               qt6-svg-dev,
                libx11-dev,
                libxext-dev,
-               pkg-config,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
-Standards-Version: 4.6.2
+               pkgconf,
+               qt6-base-dev,
+               qt6-tools-dev,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
 Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
 Homepage: https://github.com/tsujan/feathernotes
