## feathernotes 1.3.1

=== debian/changelog ===
feathernotes (1.3.1-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 1.3.1.
  * Import upstream tarball with upstream signature to fix lintian warning.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * debian/gbp.conf: let debhelper to handle compression.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 15 Mar 2025 13:46:08 +0100

feathernotes (1.3.0-1) unstable; urgency=medium

  * Import debian version 1.3.0-1~exp1 from experimental.
  * debian/control: drop Qt versioning in descriptions.
  * debian/control: depends on qt6-translations-l10n.
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.
  * debian/control: drop build-depends on libx11-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 07 Dec 2024 08:42:06 +0100
