=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: feathernotes
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
-Uploaders: Alf Gaida <agaida@siduction.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>,
+Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            DONG XU <me@eipi.fun>
 Section: editors
@@ -10,7 +9,6 @@
                cmake,
                libhunspell-dev,
                qt6-svg-dev,
-               libx11-dev,
                libxext-dev,
                pkgconf,
                qt6-base-dev,
@@ -28,7 +26,7 @@
 Recommends: feathernotes-l10n,
             libglib2.0-bin
 Description: Hierarchical notes-manager (binaries)
- FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
+ FeatherNotes is a lightweight Qt hierarchical notes-manager for Linux. It is
  independent of any desktop environment.
  .
  This package contain the application files.
@@ -38,9 +36,9 @@
 Section: localization
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         qttranslations5-l10n
+         qt6-translations-l10n
 Description: Hierarchical notes-manager (localization)
- FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
+ FeatherNotes is a lightweight Qt hierarchical notes-manager for Linux. It is
  independent of any desktop environment.
  .
  This package contain the localization files.
