## feathernotes 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5.0)
+cmake_minimum_required(VERSION 3.10.0)
 project(feathernotes)
 set(CMAKE_BUILD_TYPE Release)
 add_definitions(-Wall)
@@ -15,7 +15,6 @@
   endif()
 endif()
 
-option(ENABLE_QT5 "Building Qt5 plugin." ON)
 option(WITH_HUNSPELL "Compiling with Hunspell..." ON)
 option(WITHOUT_X11 "Compiling without X11..." OFF)
 # OS/2 never has X11
