=== debian/changelog ===
feathernotes (1.3.2-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 17:15:56 +0800

feathernotes (1.3.2-1~exp1) experimental; urgency=medium

  * New upstream version 1.3.2. (Closes: #1096622)
  * debian/control: Added myself.
  * debian/copyright: Added myself.
  * Ran wrap-and-sort.

 -- Joel Orón Valiente <moded3v@gmail.com>  Mon, 14 Jul 2025 14:17:14 +0200
