=== debian/control ===
Source: feathernotes
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           DONG XU <me@eipi.fun>,
           Joel Orón Valiente <moded3v@gmail.com>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libhunspell-dev,
               libxext-dev,
               pkgconf,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
Homepage: https://github.com/tsujan/feathernotes
Rules-Requires-Root: no

Package: feathernotes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: feathernotes-l10n, libglib2.0-bin
Description: Hierarchical notes-manager (binaries)
 FeatherNotes is a lightweight Qt hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the application files.

Package: feathernotes-l10n
Architecture: all
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}, ${shlibs:Depends}
Description: Hierarchical notes-manager (localization)
 FeatherNotes is a lightweight Qt hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the localization files.
